@charset "UTF-8";

.c-filter {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    width: 100%;
}

/****標題****/
.c-filter__title {
    display: block;
    width: auto;
    font-size: 17px;
    line-height: 1;
    color: #44464e;
    font-family: 'NotoSansTC-M';
    margin: 0 30px 0 0;
    flex: 0 0 auto;
}

/****篩選選單****/
.c-filter__list {
    display: flex;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    flex: 0 1 auto;
}

.c-filter__list__item {
    display: block;
    width: auto;
    margin: 0 10px 0 0;
    border-radius: 5px;
    overflow: hidden;
}

.c-filter__list__item:last-child {
    margin: 0;
}

.c-filter__list__item__link {
    display: block;
    width: 100%;
    font-size: 17px;
    line-height: 1;
    color: #313131;
    font-family: 'NotoSansTC-M';
    text-align: center;
    padding: 15px 20px;
    background: #dfdfe3;
    transition: color .4s ease-in-out, background-color .4s ease-in-out;
}

.c-filter__list__item.active .c-filter__list__item__link,
.c-filter__list__item__link:hover {
    color: #fff;
    background: #15171b;
}

/****下拉式選單****/
.c-filter__select {
    display: none;
}

@media screen and (max-width: 991px) {

    /****標題****/
    .c-filter__title {
        width: 25px;
        height: 15px;
        margin: 0 20px 0 0;
        background: url(../../images/common/icon_list.svg) center no-repeat;
        background-size: contain;
    }

    .c-filter__title span {
        display: none;
    }

    /****篩選選單****/
    .c-filter__list {
        display: none;
    }

    /****下拉式選單****/
    .c-filter__select {
        display: block;
    }
}

@media screen and (max-width: 767px) {}

@media screen and (max-width: 575px) {}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}